1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000070 [Devil-Linux 1.4] Feature Request feature N/A 2010-04-28 08:24 2010-09-03 13:26
Reporter dominicdl View Status public  
Assigned To
Priority normal Resolution reopened  
Status feedback   Product Version 1.4RC3
Summary 0000070: Modify network script to add redetect option to help with network hardware changes
Description See attached diff file for network script. This add redetect option, which uses 'udevadm trigger' to rediscover network devices and then tries to reconfigure them to work, including optionally (if required) modifying ifcfg-eth* files to MODULE=autoselect. It also backs up the existing rules file and displays suitable warning message at the end.

This should help considerably when hardware changes.
Additional Information
Tags No tags attached.
Attached Files ? file icon network.diff [^] (3,444 bytes) 2010-04-28 08:24
? file icon network.diff1 [^] (5,838 bytes) 2010-04-28 18:44
? file icon network [^] (18,696 bytes) 2010-04-28 18:44
? file icon network-1.50a [^] (21,585 bytes) 2010-09-01 22:17
? file icon network-1.50a-diff [^] (5,962 bytes) 2010-09-01 22:18

- Relationships

-  Notes
(0000089)
dominicdl (reporter)
2010-04-28 18:46

I've further updated (and improved) the network redetect option, and attached a new diff file (network.diff1) as well as a matching complete network file. The file now provides some 'help' info as well to assist users in understanding this new option.
(0000098)
Smiley73 (administrator)
2010-06-05 13:03

Do we still need this?
The updates to the network init script using the /etc/mactabxxxxx files should cover the functionality.
(0000099)
dominicdl (reporter)
2010-06-09 06:58

Agreed, now that the mactab functionality has been added. This was really an alternative approach to the same problem. Anyway I learned something writing it!
(0000133)
dominicdl (reporter)
2010-09-01 22:13

here is same code with diff against cvs network script 1.50

- Issue History
Date Modified Username Field Change
2010-04-28 08:24 dominicdl New Issue
2010-04-28 08:24 dominicdl File Added: network.diff
2010-04-28 18:44 dominicdl File Added: network.diff1
2010-04-28 18:44 dominicdl File Added: network
2010-04-28 18:46 dominicdl Note Added: 0000089
2010-06-05 13:03 Smiley73 Note Added: 0000098
2010-06-05 13:03 Smiley73 Assigned To => Smiley73
2010-06-05 13:03 Smiley73 Status new => feedback
2010-06-09 06:58 dominicdl Note Added: 0000099
2010-06-09 12:18 Smiley73 Status feedback => closed
2010-06-09 12:18 Smiley73 Resolution open => duplicate
2010-09-01 22:13 dominicdl Note Added: 0000133
2010-09-01 22:13 dominicdl Status closed => feedback
2010-09-01 22:13 dominicdl Resolution duplicate => reopened
2010-09-01 22:17 dominicdl File Added: network-1.50a
2010-09-01 22:18 dominicdl File Added: network-1.50a-diff
2010-09-03 13:26 Smiley73 Assigned To Smiley73 =>


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker